"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isObject = isObject;
exports.setStateAsync = setStateAsync;
exports.timeout = timeout;

/** wrapper func for setState that returns a promise */
// eslint-disable-next-line consistent-this
function setStateAsync(that, newState) {
  return new Promise(resolve => {
    that.setState(newState, () => {
      resolve();
    });
  });
}

;
/** wrapper for timeout that returns a promise */

function timeout(ms) {
  return new Promise(resolve => {
    const timeoutID = setTimeout(() => {
      clearTimeout(timeoutID);
      resolve();
    }, ms);
  });
}

;

function isObject(value) {
  return typeof value === 'object' && value !== null;
}

;
//# sourceMappingURL=helpers.js.map