import { ViewProps, HostComponent } from 'react-native';
import type { RNICleanupMode } from 'react-native-ios-utilities';
import type { PopoverArrowDirections, PopoverSizeConfig } from '../types/PopoverRelatedTypes';
import type { OnPopoverDidHideEvent, OnPopoverWillShowEvent, OnPopoverWillHideEvent, OnPopoverDidShowEvent, OnPopoverDidHideViaTapEvent, OnPopoverWillHideViaTapEvent, OnPopoverDidAttemptToDismissEvent } from '../types/PopoverViewEvents';
export declare type RNIPopoverViewProps = ViewProps & {
    internalCleanupMode?: RNICleanupMode;
    popoverBackgroundColor?: number;
    permittedArrowDirections?: Array<PopoverArrowDirections>;
    popoverSize?: PopoverSizeConfig;
    popoverShouldDismiss?: boolean;
    popoverCanOverlapSourceViewRect?: boolean;
    onPopoverDidHide?: OnPopoverDidHideEvent;
    onPopoverWillShow?: OnPopoverWillShowEvent;
    onPopoverWillHide?: OnPopoverWillHideEvent;
    onPopoverDidShow?: OnPopoverDidShowEvent;
    onPopoverDidHideViaTap?: OnPopoverDidHideViaTapEvent;
    onPopoverWillHideViaTap?: OnPopoverWillHideViaTapEvent;
    onPopoverDidAttemptToDismiss?: OnPopoverDidAttemptToDismissEvent;
};
/**
 * Do not use `RNIContextMenuView` if platform is not iOS.
 */
export declare const RNIPopoverView: HostComponent<RNIPopoverViewProps>;
